[![Build Status](https://travis-ci.com/DiscipleTools/disciple-tools-webform.svg?branch=master)](https://travis-ci.com/DiscipleTools/disciple-tools-webform)

![Plugin Banner](https://raw.githubusercontent.com/DiscipleTools/disciple-tools-webform/master/documentation/webform-banner.png)
# Disciple.Tools - Webform

Add a lead form to any website and integrate those leads into the Disciple.Tools system. Build
custom lead forms through an admin interface, assign leads to dispatcher, and tag with sources.
Special security design allows for forms to be served from one system and privately transferred
to the Disciple.Tools system.

## Purpose

Collecting contacts online is a core requirement for any media outreach ministry. This plugin makes getting those
contacts and their collected responses easily into the Disciple.Tools contact record.

Additionally, for evangelism websites in secure locations, this unique webform facilitates hiding the Disciple.Tools
system source by hosting the webform remotely from one Wordpress system and then connecting servers so that they
pass the contact data from the evangelism website to the Disciple.Tools system in the background. This reduces the
risk of a high target evangelism website being compromised and then having  contacts stored in that system compromised.

## Usage

#### Will Do

- Build custom web forms using text fields, dropdowns, multiselect, radio buttons and checkboxes, and geolocated addresses.
- Connect fields created in Disciple.Tools to be displayed on the lead form.
- Run the webform system from a remote server for security.
- Uses an admin interface to build custom forms.
- Fully customize form using CSS.

#### Will Not Do

- Work on sites that do not allow iframes.

## Requirements

- Disciple.Tools Theme installed on a self-hosted Wordpress Server
- If installed on a remote server, must be a self-hosted Wordpress site.

## Installing

- Install as a standard Disciple.Tools/Wordpress plugin in the system Admin/Plugins area.
- Requires the user role of Administrator.

## Contribution

Contributions welcome. You can report issues and bugs in the
[Issues](https://github.com/DiscipleTools/disciple-tools-webform/issues) section of the repo. You can present ideas
in the [Discussions](https://github.com/DiscipleTools/disciple-tools-webform/discussions) section of the repo. And
code contributions are welcome using the [Pull Request](https://github.com/DiscipleTools/disciple-tools-webform/pulls)
system for git. For a more details on contribution see the
[contribution guidelines](https://github.com/DiscipleTools/disciple-tools-webform/blob/master/CONTRIBUTING.md).


## Screenshots

#### Sample Edit Screen
![screenshot form](https://raw.githubusercontent.com/DiscipleTools/disciple-tools-webform/master/documentation/form-builder-screen.png)

---
#### Sample Form
![screenshot form](https://raw.githubusercontent.com/DiscipleTools/disciple-tools-webform/master/documentation/form-with-fields.png)

